Package jam.panels

# Interface SearchPanelListener

public interface SearchPanelListener
An interface for listeners to the SearchPanel class.

Author:
  Andrew Rambaut Date: Jul 26, 2004 Time: 5:37:15 PM

## Method Summary

Modifier and Type
Method
Description
`void`
`searchStarted(String searchString)`
Called when the user requests a search by pressing return having typed a search string into the text field.
`void`
`searchStopped()`
Called when the user presses the cancel search button or presses escape while the search is in focus.

## Method Details

### searchStarted

void searchStarted(String searchString)
Called when the user requests a search by pressing return having typed a search string into the text field. If the continuousUpdate flag is true then this method is called when the user types into the text field.

Parameters:
  `searchString` - the user's search string

### searchStopped

void searchStopped()
Called when the user presses the cancel search button or presses escape while the search is in focus.